/**
 *
 */
package com.braintree.command.request;

public class BrainTreeGenerateClientTokenRequest extends BrainTreeAbstractRequest {

    private String merchantAccount;

    private String customerId;

    public BrainTreeGenerateClientTokenRequest(final String merchantTransactionCode, final String customerId) {
        super(merchantTransactionCode);
        this.customerId = customerId;
    }

    /**
     * @return the merchantAccount
     */
    public String getMerchantAccount() {
        return merchantAccount;
    }

    /**
     * @param merchantAccount
     *           the merchantAccount to set
     */
    public void setMerchantAccount(final String merchantAccount) {
        this.merchantAccount = merchantAccount;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }
}
